# class OpenSSL::Buffering::Buffer

A buffer which will retain binary encoding.

### Constants

BINARY

### Public Class Methods

new ()
Source

    # File ext/openssl/lib/openssl/buffering.rb, line 29
    def initialize
      super

      force_encoding(BINARY)
    end

Calls superclass method `String::new`

### Public Instance Methods

<< (string)
Source

    # File ext/openssl/lib/openssl/buffering.rb, line 35
    def << string
      if string.encoding == BINARY
        super(string)
      else
        super(string.b)
      end

      return self
    end

Calls superclass method `String#<<`
Also aliased as: concat
concat (string)
Alias for: <<